Support » Plugin: BulletProof Security » Error with Memory Limit after updating php7.1 to 7.2

  • Resolved ibiza69

    (@ibiza69)


    Hi, we need some help if possible. Toda we updated our PHP version 7.1 to 7.2 and instatly we got this message:

    Error: Your PHP Configuration Memory Limit is set to: 32M. WordPress needs a bare minimum Memory Limit setting of 128M to perform well. Contact your Web Host and ask them to increase your memory limit to the maximum memory limit setting allowed by your Host.

    We spoke with our host and they confirmed we have 512MB, but can’t fix that message. Didn’t face it before, thru all this years using the plugin.

    Thanks in advance!

Viewing 6 replies - 1 through 6 (of 6 total)
  • Plugin Author AITpro

    (@aitpro)

    Yep, I am aware of this php configuration memory limit error checking issue in the Setup Wizard Pre-Installation Checks. Ignore the incorrect BPS memory limit error message. On some host servers this memory limit checking code does not return the correct php configuration memory limit value: get_cfg_var('memory_limit');. I am looking into using a different method of checking the php configuration memory limit value that works on all host servers. Most likely I will have to use ini_get('memory_limit'); even though that comes with its own set of limitations/inaccuracies/problems. Working on it.

    Hi @aitpro, thank you, as always incredible support. I am sure you will find some solution!

    Now I am much calmer after receiving your words, since we fully trust you since years ago and knowing that it is not important, one less thing :)!

    Have a very nice day and take care ;)!

    Plugin Author AITpro

    (@aitpro)

    I came up with a method of getting the PHP configuration memory limit Local Value, which works accurately as long as someone has not disabled the PHP phpinfo() function on their website/server. The new PHP Configuration memory limit checking code parses the PHP phpinfo() function and returns the PHP configuration memory_limit Local Value. BPS 4.4 and BPS Pro 15 now have this new php configuration memory limit checking code and should be released sometime within a week from now.

    Plugin Author AITpro

    (@aitpro)

    BPS 4.4 has been released with the php memory limit checking code fix. Let me know if the memory limit problem is fixed. You should either see your actual php configuration memory limit or 256M and not an error.

    Thank you very much, everything perfect, the message disappeared and shows our current 512MB of memory.

    Thank you for solving it and so quickly!

    Plugin Author AITpro

    (@aitpro)

    Great! Thank you for confirming the new php memory limit checking method works for you.

Viewing 6 replies - 1 through 6 (of 6 total)
  • You must be logged in to reply to this topic.